{{- $LastModifierDisplayName := "" }}
{{- $LastModifierEmail := "" }}
{{- $Date := "" }}
{{- $Epoch := "" }}
{{- with .GitInfo }}
  {{- with .AuthorName }}
    {{- $LastModifierDisplayName = . }}
  {{- end }}
  {{- with .AuthorEmail  }}
    {{- $LastModifierEmail = . }}
  {{- end }}
  {{- with .AuthorDate  }}
    {{- $Date = . | time.Format ":date_medium" }}
    {{- $Epoch = .Unix }}
  {{- end }}
{{- else }}
  {{- with .Params.LastModifierDisplayName }}
    {{- $LastModifierDisplayName = . }}
  {{- end }}
  {{- with .Params.LastModifierEmail }}
    {{- $LastModifierEmail = . }}
  {{- end }}
  {{- with .Date }}
    {{- $Date = . | time.Format ":date_medium" }}
    {{- $Epoch = .Unix }}
  {{- end }}
{{- end }}
{{ if $Epoch }}
{{ $ageDays := div (sub now.Unix $Epoch) 86400 }} 
{{ if gt $ageDays 730 }}
{{ partial "shortcodes/badge.html" (dict
  "page"  .
  "style" "red"
  "title" "Old"
  "content" ($Date)
)}}
{{- else if gt $ageDays 365  -}}
{{ partial "shortcodes/badge.html" (dict
  "page"  .
  "style" "orange"
  "title" "Stale"
  "content" ($Date)
)}}
{{- else -}}
{{ partial "shortcodes/badge.html" (dict
  "page"  .
  "style" "green"
  "title" "Fresh"
  "content" ($Date)
)}}
{{- end -}}
{{ end }}
{{ if .Page.Draft }}
{{ partial "shortcodes/badge.html" (dict
  "page"  .
  "style" "yellow"
  "icon" "recycle"
  "content" "Work in progress"
)}}
{{ end }}

{{- if $LastModifierDisplayName }}
              <i class='fa-fw fas fa-user'></i> {{ with $LastModifierEmail }}<a href="mailto:{{ . }}">{{ end }}{{ $LastModifierDisplayName }}{{ with $LastModifierEmail }}</a>{{ end }}
{{- end }}

